Skip to main content
To send a series of targeted, timed email templates to nurture contacts over time, you can create a sequence. You can use the sequences tool to automatically create tasks to remind you to follow up with your contacts. To use this API, the user must have an assigned Sales Hub Professional or Enterprise or Service Hub Professional or Enterprise seat. With the sequences API, you can:
  • Get a list of sequences
  • Get a specific sequence
  • Enroll a contact in a sequence
  • View a contact’s enrollment status
This could be useful if you have an app that maintains a list of contacts and you want to enroll them in a HubSpot sequence. With the sequences API, from your app, you could:
  • Get a list of sequences
  • Enroll a contact in a sequence
  • Review the enrollment status
The sections below provide a walkthrough of how to use the sequences endpoints. For a full reference of the available endpoints and their required fields, click the Endpoints tab at the top of this article.

Fetch a sequence

To get details about a specific sequence in your account, make a GET request to /automation/sequences/2026-03/{sequenceId}?userId={userId}, where the sequenceId is the ID of an existing sequence in your account. For example, to get details about a sequence that ID is 123456789 and your user ID is 2222222, make a GET request to /automation/sequences/2026-03/123456789?userId=2222222. Use the ID of the specific sequence as the sequenceId in the request URL and use your userId as a query parameter. The response for fetching a sequence would resemble the following:
Please note:If you’ve enrolled into the Sequences unenrollment configuration beta, when retrieving a specific sequence, the "sellingStrategy": "LEAD_BASED" value may not actually match the sequence. This is expected behavior.
The details of each response field are outlined in the table below:

List sequences

To get details about a specific sequence in your account, make a GET request to /automation/sequences/2026-03?limit=#&userId={userId}. Use the amount of sequences you want returned as the limit in the request URL and use your userID as a query parameter. For example, to get a list of four sequences and your user ID is 2222222, make a GET request to /automation/sequences/2026-03?limit=4&userId=2222222. The response for fetching a list of sequences would resemble the following:
The details of each response field are outlined in the table below:

Enroll a contact in a sequence

To enroll a contact in a sequence, make a POST request to /automation/sequences/2026-03/enrollments. Use your user ID as the query parameter. Specify the sequenceId, contactId, and senderEmail in the body. The senderEmail must be an email address that’s connected to your HubSpot account. For example, to enroll a contact whose ID is 33333 in sequence that’s ID is 44444444, you’d make a POST request to /automation/sequences/2026-03/enrollments. The body would resemble the following:
The response for enrolling a contact in a sequence would resemble the following:
The details of each response field are outlined in the table below:
Please note:There is a limit of 1000 enrollments per portal inbox per day.

View a contact’s sequence enrollment status

A contact’s enrollment status will indicate if the contact is enrolled in any sequences at the time of the request. To get a contact’s enrollment status, make a GET request to /automation/sequences/2026-03/enrollments/contact/{contactId}. For example, to view the enrollment status of a contact whose contact ID is 33333, make a GET request to /automation/sequences/2026-03/enrollments/contact/33333. Use the contact ID as the query parameter. The response for viewing a contact’s sequence enrollment status would resemble the following:
The details of each response field are outlined in the table below:
Last modified on March 31, 2026